%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         emicklei
%global repo            go-restful
# https://github.com/emicklei/go-restful
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          bdfb7d41639a84ea7c36df648e5865cd9fbf21e2
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-%{provider}-%{project}-%{repo}
Version:        1.1.3
Release:        0.4.git%{shortcommit}%{?dist}
Summary:        Package for building REST-style Web Services using Google Go
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
# these are needed only for examples folder so far
#BuildRequires:  golang(github.com/gorilla/schema)
#BuildRequires:  golang(github.com/mjibson/appstats)
Requires:       golang >= 1.2.1-3
#Requires:       golang(github.com/gorilla/schema)
#Requires:       golang(github.com/mjibson/appstats)
Summary:        %{summary}
Provides: golang(%{import_path}) = %{version}-%{release}
Provides: golang(%{import_path}/log) = %{version}-%{release}
Provides: golang(%{import_path}/swagger) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for 
building other packages which use %{project}/%{repo}.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav swagger %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav log %{buildroot}/%{gopath}/src/%{import_path}/
cp -rpav examples %{buildroot}/%{gopath}/src/%{import_path}/

%check
GOPATH=%{buildroot}/%{gopath}:%{gopath} go test %{import_path}
# swagger fails
#GOPATH={buildroot}/{gopath}:{gopath} go test {import_path}/swagger

%files devel
%doc CHANGES.md README.md LICENSE
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Tue Jun 02 2015 jchaloup <jchaloup@redhat.com> - 1.1.3-0.4.gitbdfb7d4
- Bump to upstream bdfb7d41639a84ea7c36df648e5865cd9fbf21e2
  related: #1215626

* Sat May 09 2015 jchaloup <jchaloup@redhat.com> - 1.1.3-0.3.gitd487287
- Bump to upstream d4872876992d385f0e69b007f154e5633bdb40af
  related: #1215626

* Mon Apr 27 2015 jchaloup <jchaloup@redhat.com> - 1.1.3-0.2.git03f8ad5
- Bump to upstream 03f8ad5589baf3c67a448fd9354da27419db712d
  resolves: #1215626

* Wed Apr 01 2015 jchaloup <jchaloup@redhat.com> - 1.1.3-0.1.git5e1952e
- Bump to upstream 5e1952ed0806503c059e4463c2654200660f484b
  related: #1164152

* Wed Dec 10 2014 jchaloup <jchaloup@redhat.com> - 0-0.2.git692a500
- update to the latest commit 692a50017a7049b26cf7ea4ccfc0d8c77369a793
  related: #1164152

* Fri Nov 14 2014 jchaloup <jchaloup@redhat.com> - 0-0.1.gitad99b12
- First package for Fedora
  resolves: #1164152

